ATANH(3)

NAME
atanh, atanhf, atanhl - inverse hyperbolic tangent function

SYNOPSIS
#include <math.h>

double atanh(double x);
float atanhf(float x);
long double atanhl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

atanh(), atanhf(), atanhl(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 500 || _ISOC99_SOURCE; or cc -std=c99

DESCRIPTION
The atanh() function calculates the inverse hyperbolic tangent of x; that is the value whose hyperbolic tangent is x. If the absolute value of x is greater than 1.0, atanh() returns not-a-number (NaN) and errno is set.

ERRORS

EDOM
    x is out of range.

CONFORMING TO
SVr4, POSIX.1-2001, 4.3BSD, C89. The float and long double variants are C99 requirements.

SEE ALSO
acosh(3), asinh(3), catanh(3), cosh(3), sinh(3), tanh(3)